Delete user
Deletes a single user
delete
Authorizations
AuthorizationstringRequired
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication.
Path parameters
clusterIdstringRequiredExample:
The unique ID of the cluster.
498ae72f-411f-11eb-9d07-046c59cc737eusernamestring · min: 1 · max: 63RequiredExample:
The authentication username.
benjaminResponses
204
Successful response
No content
default
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient permissions), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), 503 (maintenance)
application/json
delete/clusters/{clusterId}/users/{username}
DELETE /databases/postgresql/clusters/{clusterId}/users/{username} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
No content
Last updated
Was this helpful?